<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.company</groupId>
	<artifactId>my-webapp</artifactId>
	<packaging>war</packaging>
	<version>0.0.1-SNAPSHOT</version>
	<name>my-webapp Maven Webapp</name>
	<url>http://maven.apache.org</url>
	<parent>
		<groupId>com.javaworld.hotels</groupId>
		<artifactId>mtsw-maven_04-HotelWebAppl</artifactId>
		<version>1.0-SNAPSHOT</version>
	</parent>
	<build>
		<finalName>my-webapp</finalName>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.5</source>
					<target>1.5</target>
				</configuration>
			</plugin>

			<!--  To run: mvn jetty:run, In the browser use: http://localhost:8080/my-webapp/ -->
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>maven-jetty-plugin</artifactId>
			</plugin>
	
            <!-- org.mortbay.jetty:maven-jetty-plugin:6.1.16:run-war 
                 assemble your webapp into a war and automatically deploy it to Jetty 
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>maven-jetty-plugin</artifactId>
				<configuration>
					<webApp>${project.build.directory}/${project.build.finalName}.war</webApp>
				</configuration>
			</plugin>
            -->
		</plugins>
	</build>
</project>
